Bug 1974282 - Installer gather doesn't collect any networking information
Summary: Installer gather doesn't collect any networking information
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.z
Assignee: Stephen Benjamin
QA Contact: Pedro Amoedo
URL:
Whiteboard:
Depends On: 1956079
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-06-21 09:40 UTC by OpenShift BugZilla Robot
Modified: 2021-07-06 11:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-06 11:38:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5017 0 None open [release-4.7] Bug 1974282: gather: collect networking information in log bundle 2021-06-21 09:40:55 UTC
Red Hat Product Errata RHBA-2021:2554 0 None None None 2021-07-06 11:39:14 UTC

Comment 2 Pedro Amoedo 2021-06-24 16:09:54 UTC
[QA Summary]

[Version]

~~~
$ ./openshift-install version
./openshift-install 4.7.0-0.nightly-2021-06-24-030912
built from commit 0aa0a1faedb73bc881f47e450fed496042a941a5
release image registry.ci.openshift.org/ocp/release@sha256:d64234fd48ca848ad4bbb49315bd51bbdc790803b3cc51a87195f1f658430f53

$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-06-24-030912   True        False         2m42s   Cluster version is 4.7.0-0.nightly-2021-06-24-030912
~~~

[Parameters]

Preserve bootstrap node to gather the proper info and also to use it as a jump node to reach the masters:

~~~
$ export OPENSHIFT_INSTALL_PRESERVE_BOOTSTRAP="true"
~~~

[Results]

As expected, after gathering the bootstrap logs, the network information is now present in "bootstrap/network/" folder:

~~~
$ ls log-bundle-20210624175856/bootstrap/network/
hostname.txt  ip-addr.txt  ip-route.txt  resolv.conf

$ cat log-bundle-20210624175856/bootstrap/network/hostname.txt
ip-10-0-10-194

$ cat log-bundle-20210624175856/bootstrap/network/ip-addr.txt 
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: ens5: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 9001 qdisc mq state UP group default qlen 1000
    link/ether 06:e3:a5:8b:3c:4c brd ff:ff:ff:ff:ff:ff
    inet 10.0.10.194/19 brd 10.0.31.255 scope global dynamic noprefixroute ens5
       valid_lft 2948sec preferred_lft 2948sec
    inet6 fe80::81b3:ee0b:3e9e:14f3/64 scope link noprefixroute 
       valid_lft forever preferred_lft forever

$ cat log-bundle-20210624175856/bootstrap/network/ip-route.txt 
default via 10.0.0.1 dev ens5 proto dhcp metric 100 
10.0.0.0/19 dev ens5 proto kernel scope link src 10.0.10.194 metric 100

$ cat log-bundle-20210624175856/bootstrap/network/resolv.conf 
# Generated by NetworkManager
search eu-west-3.compute.internal
nameserver 10.0.0.2
~~~

And also within the master nodes at "control-plane/<IP>/network/" folder:

~~~
$ ls log-bundle-20210624175856/control-plane/10.0.*/network/
log-bundle-20210624175856/control-plane/10.0.128.244/network/:
hostname.txt  ip-addr.txt  ip-route.txt  resolv.conf

log-bundle-20210624175856/control-plane/10.0.171.15/network/:
hostname.txt  ip-addr.txt  ip-route.txt  resolv.conf

log-bundle-20210624175856/control-plane/10.0.215.81/network/:
hostname.txt  ip-addr.txt  ip-route.txt  resolv.conf
~~~

Best Regards.

Comment 5 errata-xmlrpc 2021-07-06 11:38:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.19 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2554


Note You need to log in before you can comment on or make changes to this bug.